<?php require_once(APPPATH.'views/header.php');?>
<?php require_once(APPPATH.'views/menu.php');?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Portfolio
          </h1>
          <ol class="breadcrumb">
            <li><a href="<?php echo site_url('admin/welcome')?>"><i class="fa fa-dashboard"></i> Dashboard</a></li>
            <li class="active">Portfolio</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
           <?php echo form_open("", array('id'=>'formid')); ?>                
                <!-- /.row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="box">
                            <div class="box-header">
                               <div class="text-left">
                  <a  href="<?php echo base_url();?>admin/portfolio/add_portfolio" class="btn btn-success"><i class="fa fa-plus"></i> Add portfolio</a>
                  <button class="btn btn-danger" id="deletedata" type="button"><i class="fa fa-trash"></i> Trash </button>
                    
                </div>
                            </div><!-- /.box-header -->
                            <div class="box-body">
                          <?php  if($this->session->flashdata('msg')){ echo $this->session->flashdata('msg'); } ?>
                            <table id="example1" class="table table-bordered table-striped">
                                 <thead>
                                    <tr>
                                       <th> <input type="checkbox" class="minimal-red" name="checkall" id="checkall" /></th>
                                        <th>Portfolio Name</th>
                                        <th>Portfolio Category</th>
                                        <th>Portfolio Description</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                      <?php foreach($view as $key) {
                                            $this->load->model('alldata','model'); 
                                            $encrypted_id = $this->model->encryptdata($key['portfolio_id']); 
                                                
                                        ?>
                                       <tr>
                                          <td> <input type="checkbox"  name="ck" class="minimal-red" value="<?php echo $key['portfolio_id'];?>"/> </td>
                                          <td><?php echo $key['portfolio_name']; ?></td>
                                          <td><?php echo $key['portfolio_cat_name']; ?></td>
                                          <td><?php echo $key['prot_desc']; ?></td>
                                        <td>
                                            <a class="btn btn-primary" href="<?php echo base_url(); ?>admin/portfolio/edit_portfolio/<?php  echo $encrypted_id; ?>" title="Edit"><i class="glyphicon glyphicon-edit text-center"></i></a>
                                        </td> 
                                        </tr>
                                      <?php } ?>
                                </tbody>
                            </table>
                              </div><!-- /.box-body -->
                              </div><!-- /.box -->
                        </div>
                    
                </div>
                <!-- /.row -->
                 <?php echo form_close(); ?>    
                

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->

<?php require_once(APPPATH.'views/footer.php');?>
<script type="text/javascript">
$(document).ready(function(){
            //---------------- delete message -------------------------------------
            $('#deletedata').click(function()
            { 
                var exists = $('input[type=checkbox][name^=ck]:checked').filter(':checked').length; 
                if( !exists ) 
                {   
                    alert('Please select at least 1 checkbox!');
                    return false;
                } 
                else if(confirm('Are you sure you want to delete this Data?')) 
                { 
                    var cct = $.cookie("<?php echo $this->config->item('csrf_cookie_name'); ?>");
                    var postData = $('input[type=checkbox][name^=ck]:checked').serialize();  
                    $.post("portfolio/delete_portfolio",{ck: postData,'<?php echo $this->security->get_csrf_token_name(); ?>': cct},
                    function(data,status){
                             location.reload();
                        });
                    //$('#formid').submit();
                }
                else
                {
                    return false;
                }
                });
});
</script>
